SessionUtil (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.server.util

## Class SessionUtil

- java.lang.Object
- - org.gcube.portlets.user.messages.server.util.SessionUtil

-     public class SessionUtil
      extends Object

  Author:
    Federico De Faveri defaveri@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`
    `static String` | `MESSAGESBUILDER_ATTRIBUTE`
    `static String` | `USERNAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GWTMessagesBuilder` | `getGWTWorkspaceBuilder(org.gcube.application.framework.core.session.ASLSession session)`
    `static org.gcube.common.homelibrary.home.workspace.Workspace` | `getWorkspace(org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USERNAME_ATTRIBUTE

          public static final String USERNAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### MESSAGESBUILDER_ATTRIBUTE

          public static final String MESSAGESBUILDER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### SessionUtil

          public SessionUtil()

  - ### Method Detail

    - #### getWorkspace

          public static org.gcube.common.homelibrary.home.workspace.Workspace getWorkspace(org.gcube.application.framework.core.session.ASLSession session)
                                                                                    throws Exception

      Throws:
        `Exception`

    - #### getGWTWorkspaceBuilder

          public static GWTMessagesBuilder getGWTWorkspaceBuilder(org.gcube.application.framework.core.session.ASLSession session)

Copyright © 2014. All Rights Reserved.